#include "X3D_FileValidatorCoreVisitor.h"
#include "X3D_X3DNode.h"

#include <iostream>

using namespace std;

namespace X3DTK {
namespace X3D {

FileValidatorCoreVisitor::FileValidatorCoreVisitor()
: CoreVisitor()
{
  stateVariables = GraphTraversal::getInstanceOf<FileValidatorStateVariables>();
  
  // Enter functions.
  defineEnterFunction(&FileValidatorCoreVisitor::enterX3DNode);
}

FileValidatorCoreVisitor::~FileValidatorCoreVisitor()
{
}

void FileValidatorCoreVisitor::enterX3DNode(X3DNode *N) const
{
  cx3d << "node " << stateVariables->getNode() << " " << N->getTypeName() << endl;
  stateVariables->addNode();
}

}
}
