#include "MESH_DFSGraphTraversal.h"
#include "MESH_DFSCoreWalker.h"

namespace X3DTK {
namespace MESH {

DFSGraphTraversal::DFSGraphTraversal()
: GraphTraversal()
{
  setComponentWalker(new DFSCoreWalker());
}

DFSGraphTraversal::~DFSGraphTraversal()
{
}

void DFSGraphTraversal::setComponentWalker(X3DComponentWalker *component)
{
  GraphTraversal::setComponentWalker(component);
}

}
}
