#include "GL_RendererRenderingVisitor.h"
#include "GL_X3DGeometryNode.h"

namespace X3DTK {
namespace GL {

RendererRenderingVisitor::RendererRenderingVisitor()
: RenderingVisitor()
{
  // Enter functions.
  defineEnterFunction(&RendererRenderingVisitor::enterX3DGeometryNode);

  // StateVariables assignation.
  stateVariables = GraphTraversal::getInstanceOf<RendererStateVariables>();
}

RendererRenderingVisitor::~RendererRenderingVisitor()
{
}

void RendererRenderingVisitor::enterX3DGeometryNode(X3DGeometryNode *N) const
{
  N->draw();
}

}
}
